---
# tasks file for elb

  - hosts: localhost
    vars:
      elb_ec2_subnet: []
      elb_name: "test-cf"
      aws:
        ami_id: ami-c90195b0
        account_id: "{{ aws_account }}"
        aws_ocp_user: "OCP"
        ec2_access_key: "{{ aws_userid }}"
        ec2_secret_key: "{{ aws_password }}"
        elb_ec2_listeners: "{{ listeners }}"
        aws_region: "eu-west-1"
        availability_zone:
          - name: eu-west-1a
            id: a
            subnet_id: subnet-1a054a41
          - name: eu-west-1b
            id: b
            subnet_id: subnet-7bd6d51c
          - name: eu-west-1c
            id: c
            subnet_id: subnet-20415669

    tasks:
    - name: Build list of all SubnetId
      set_fact:
        elb_ec2_subnet: "{{ elb_ec2_subnet + [ item.subnet_id ] }}"
      with_items: "{{ aws.availability_zone }}"

    - debug:
        var: elb_ec2_subnet

    - name: Add Infra classic ELB
      ec2_elb_lb:
        name: "{{ elb_name }}"
        ec2_access_key: "{{ aws.ec2_access_key }}"
        ec2_secret_key: "{{ aws.ec2_secret_key }}"
        scheme: internal
        region: "{{ aws.aws_region }}"
        state: present
        purge_instance_ids: true
        subnets: "{{ elb_ec2_subnet }}"
        listeners: "{{ elb_ec2_listeners }}"
          # - protocol: http
          #   load_balancer_port: 80
          #   instance_port: 80
      register: elb
      tags:
        - elb
